import express from "express";
import mongoose from "mongoose";
import cors from "cors";
import { API_PORT, MONGO_URL } from "./config/contants";

const app = express();
app.use(cors());

// Routes
const authRoute = require("./routes/auth");
const userRoute = require("./routes/user");
const jobsRoute = require("./routes/jobs");

// Service Initialisation
mongoose.connect(MONGO_URL, {
  useFindAndModify: false,
  useNewUrlParser: true,
  useUnifiedTopology: true,
  useCreateIndex: true,
});

// Express Initialisation
app.use(express.urlencoded({ extended: true }));
app.use(express.json());

app.use(express.urlencoded({ extended: false }));

// Routes
app.use("/auth", authRoute);
app.use("/user", userRoute);
app.use("/jobs", jobsRoute);

app.listen(API_PORT, () => console.log(`Listening on port ${API_PORT}`));
